
part of 'auth_bloc.dart';

@immutable
abstract class AuthEvent {}

class SendOTPEvent extends AuthEvent {
  final String phoneNumber;

  SendOTPEvent({required this.phoneNumber});
}

class VerifyOTPEvent extends AuthEvent {
  final String otp;

  VerifyOTPEvent({required this.otp});
}

class SaveUserInfoEvent extends AuthEvent {
  final String name;
  final String gender;

  SaveUserInfoEvent({required this.name, required this.gender});
}
